Reject Ticket
Rejects a submitted ticket.
Required Permissions
Requires the MEMBER role or higher, and the account must be assigned as an approver of the ticket.
HTTP Request
POST /api/sonar/tickets/:guid/reject
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-X POST \
https://HOSTNAME/api/sonar/tickets/6206eb0e-fb44-4f13-82ca-d92454cfd35e/reject
Request Parameter
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guid | O | String | Ticket GUID | 36 characters |
Success Response
{}
Error Responses
Identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
No approver privileges
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}
Ticket is not yet submitted
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "cannot approve or reject unsubmitted ticket: c63ff706-85bc-44e3-9acd-24a0628da1fb"
}